const FSN = require('./lib')
const seedrandom = require('seedrandom')

const rng = seedrandom('test')
const gen = new FSN({ random: rng })
const times = []
const numTimes = 5
const size = 2048
const numPoints = Math.pow(size, 2)

let min = Number.MAX_VALUE
let max = Number.MIN_VALUE
let value = 0
for (let i = 0; i < numTimes; i++) {
  const start = Date.now()
  for (let x = 0; x < size; x++) for (let y = 0; y < size; y++) {
    value = gen.scaled([x, y])
    if (value < min) min = value
    if (value > max) max = value
  }
  times.push(Date.now() - start)
}

const averageTime = times.reduce((total, time) => total + time, 0) / numTimes
console.log(`${averageTime}ms (${Math.floor(numPoints / averageTime)}p/ms)`)
console.log(`[${min}, ${max}]`)
